package com.pqs9300.pojo.technical;

import java.util.Date;
import java.util.List;

import javax.persistence.Transient;

import com.pqs9300.pojo.transaction.OverRunLog;

public class TechnicalInfo {
    private String supIndex;
    private String supName;//技术监督名称
    private String userName;//创建用户
    private Date creatTime;//创建时间
    private String deptName;//创建部门
    private String deptIndex;//部门id
    private Date modifyTime;//修改时间
    private int supType;//类型
    private String supDescribe;//描述
    private int progress;//进度

    public String getSupIndex() {
        return supIndex;
    }

    public void setSupIndex(String supIndex) {
        this.supIndex = supIndex;
    }

    public String getSupName() {
        return supName;
    }

    public void setSupName(String supName) {
        this.supName = supName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Date getCreatTime() {
        return creatTime;
    }

    public void setCreatTime(Date creatTime) {
        this.creatTime = creatTime;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptIndex() {
		return deptIndex;
	}

	public void setDeptIndex(String deptIndex) {
		this.deptIndex = deptIndex;
	}

	public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public int getSupType() {
        return supType;
    }

    public void setSupType(int supType) {
        this.supType = supType;
    }

    public String getSupDescribe() {
        return supDescribe;
    }

    public void setSupDescribe(String supDescribe) {
        this.supDescribe = supDescribe;
    }

    public int getProgress() {
        return progress;
    }

    public void setProgress(int progress) {
        this.progress = progress;
    }
}
